# AppCallbackGrpc.AppCallbackStub (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.v1, class: AppCallbackGrpc, class: AppCallbackStub

Package io.dapr.v1

# Class AppCallbackGrpc.AppCallbackStub

java.lang.Object
io.grpc.stub.AbstractStub<S>
io.grpc.stub.AbstractAsyncStub<AppCallbackGrpc.AppCallbackStub>
io.dapr.v1.AppCallbackGrpc.AppCallbackStub

Enclosing class:
  AppCallbackGrpc

public static final class AppCallbackGrpc.AppCallbackStub extends io.grpc.stub.AbstractAsyncStub<AppCallbackGrpc.AppCallbackStub>
A stub to allow clients to do asynchronous rpc calls to service AppCallback.

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

## Nested Class Summary

## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

## Method Summary

Modifier and Type
Method
Description
`protected AppCallbackGrpc.AppCallbackStub`
`build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`void`
`listInputBindings(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListInputBindingsResponse> responseObserver)`
Lists all input bindings subscribed by this app.
`void`
`listTopicSubscriptions(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListTopicSubscriptionsResponse> responseObserver)`
Lists all topics subscribed by this app.
`void`
`onBindingEvent(DaprAppCallbackProtos.BindingEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.BindingEventResponse> responseObserver)`
Listens events from the input bindings User application can save the states or send the events to the output bindings optionally by returning BindingEventResponse.
`void`
`onInvoke(CommonProtos.InvokeRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)`
Invokes service method with InvokeRequest.
`void`
`onTopicEvent(DaprAppCallbackProtos.TopicEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventResponse> responseObserver)`
Subscribes events from Pubsub

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

protected AppCallbackGrpc.AppCallbackStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<AppCallbackGrpc.AppCallbackStub>`

### onInvoke

public void onInvoke(CommonProtos.InvokeRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)

     Invokes service method with InvokeRequest.

### listTopicSubscriptions

public void listTopicSubscriptions(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListTopicSubscriptionsResponse> responseObserver)

     Lists all topics subscribed by this app.

### onTopicEvent

public void onTopicEvent(DaprAppCallbackProtos.TopicEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventResponse> responseObserver)

     Subscribes events from Pubsub

### listInputBindings

public void listInputBindings(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.ListInputBindingsResponse> responseObserver)

     Lists all input bindings subscribed by this app.

### onBindingEvent

public void onBindingEvent(DaprAppCallbackProtos.BindingEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.BindingEventResponse> responseObserver)

     Listens events from the input bindings
     User application can save the states or send the events to the output
     bindings optionally by returning BindingEventResponse.